/** SGX

The   sss    gggg x   x   
     s      g      x x    Engine
      sss   g  gg   x
         s  g   g  x x          Copyright 1995-2009.
     ssss    gggg x   x         Steven Goodwin. All Rights Reserved.
    
This version has been released under the GNU Public License v2.0.

Please see the license files for details.

File: sgx/include/sgx/filesystem/io/xml/xmlreader.hpp

*/

#ifndef SGX_FILESYSTEM_IO_XMLREADER_HPP
#define SGX_FILESYSTEM_IO_XMLREADER_HPP	1

class CXMLReader {
public:

	CXMLReader(sgxXMLTree &tree);

	virtual tBOOL	read(const sgxString &filename);
	virtual tBOOL	read(CSGXFile &file);

	virtual ~CXMLReader();

protected:
	sgxXMLTree		&m_Tree;
	static sgxXMLTree		m_NullTree;

private:
	CXMLReader();
};

#endif /* SGX_FILESYSTEM_IO_XMLREADER_HPP */
